%define	name	ntfs-3g
%define	version	2015.3.14
%define	release	%mkrel 1

Summary:	Read-write ntfs driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/Base
Source: 	http://tuxera.com/opensource/%{name}_ntfsprogs-%{version}.tgz
Source1:	10-ntfs-3g-policy.fdi
URL:		http://www.tuxera.com/community/ntfs-3g-download/
Obsoletes:      %mklibname ntfs-3g 0
Obsoletes:      %mklibname ntfs-3g 2
Obsoletes:      %mklibname ntfs-3g 10
Obsoletes:      %mklibname ntfs-3g 14
Obsoletes:      %mklibname ntfs-3g 16
Obsoletes:      %mklibname ntfs-3g 23
%rename ntfsprogs
BuildRequires:	attr-devel
BuildRequires:  fuse-devel >= 2.8
Requires:	ntfs-config
Requires:	fuse >= 2.8
Requires(pre):	fuse >= 2.8
Conflicts:	ntfsprogs < 2.0.0-6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ntfs-3g package contains NTFS filesystem driver with read and
write support. It provides safe and fast handling of MS Windows Vista,
XP, 2000 and Server 2003 NTFS file systems. Most POSIX file system
operations are supported, with the exceptions of full file
ownership and access right support.

%package	devel
Summary:	Header files and static libraries for ntfs-3g
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name
Obsoletes:	%mklibname -d %name 0
Obsoletes:      %mklibname -d %name 2
Obsoletes:      %mklibname -d %name 4

%description devel
You should install this package if you wish to develop applications that
use ntfs-3g.


%prep
%setup -qn %{name}_ntfsprogs-%{version}

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x \
	--disable-static \
	--exec-prefix=/ \
	--bindir=/bin \
	--libdir=/%_lib \
	--sbindir=/sbin \
	--disable-ldconfig \
	--with-fuse=external

%make

%install
rm -rf %{buildroot}
sed -i -e 's|/sbin/ldconfig|true|' src/Makefile
%makeinstall_std

# make the symlink an actual copy to avoid confusion
rm -rf %buildroot/sbin/mount.ntfs-3g
cp -a %buildroot/bin/ntfs-3g %buildroot/sbin/mount.ntfs-3g
ln -sf /sbin/mount.ntfs-3g %buildroot/sbin/mount.ntfs
ln -sf /sbin/mount.ntfs-3g %buildroot/sbin/mount.ntfs-fuse
mkdir -p %buildroot/%_bindir
ln -sf /sbin/mount.ntfs-3g %buildroot/%_bindir/ntfsmount

# .pc file should always be there
mkdir -p %buildroot%_libdir
mv -f %buildroot/%_lib/pkgconfig %buildroot%_libdir/pkgconfig

# remove doc files, as we'll cp them later
rm -fr %buildroot/%_datadir/doc %buildroot/%{_lib}/*.la

mkdir -p %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr (-,root,root)
%doc README AUTHORS CREDITS NEWS
%_bindir/ntfsmount
/bin/lowntfs-3g
/bin/ntfs-3g
/bin/ntfs-3g.*
/bin/ntfscat
/bin/ntfscluster
/bin/ntfscmp
/bin/ntfsfix
/bin/ntfsinfo
/bin/ntfsls
/sbin/mkfs.ntfs
/sbin/mkntfs
/sbin/ntfsclone
/sbin/ntfscp
/sbin/ntfslabel
/sbin/ntfsresize
/sbin/ntfsundelete
%{_mandir}/man8/*
%attr(754,root,root) /sbin/mount.ntfs-3g
/sbin/mount.ntfs
/sbin/mount.lowntfs-3g
/sbin/mount.ntfs-fuse
%{_datadir}/hal/fdi/policy/10osvendor/10-ntfs-3g-policy.fdi
/%{_lib}/libntfs-3g.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
/%{_lib}/libntfs-3g.so
%{_includedir}/ntfs-3g
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jul 11 2015 pp <pp> 2015.3.14-1pclos2015
- update

* Tue Apr 22 2014 pinoc <vogtpet at gmail.com> 2014.2.15-1pclos2014
- 2014.2.15

* Sat Feb 23 2013 pinoc <vogtpet at gmail.com> 2013.1.13-2pclos2013
- added back fdi-file

* Thu Feb 14 2013 pinoc <vogtpet at gmail.com> 2013.1.13-1pclos2013
- 2013.1.13

* Tue Jan 25 2011 Ertain <sirius-C at iname.com> 2011.1.15-1pclos2010
- 2011.1.15

* Wed Mar 03 2010 Texstar <texstar at gmail.com> 2010.1.16-1pclos2010
- update for 2010

